import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:gap/gap.dart';

import '../../../../../core/styles/app_color.dart';
import '../widgets/academy_detail_section.dart';
import '../widgets/academy_video_section.dart';

class AcademyDetailsLayout extends StatelessWidget {
  const AcademyDetailsLayout({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.plainWhite,
      body: SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.symmetric(horizontal: 16.0, vertical: 20.0),
          child: Column(
            children: [
              const AcademyDetailSection(),
              Gap(12.h),
              const AcademyVideoSection(),
            ],
          ),
        ),
      ),
    );
  }
}
